/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

import ClayLabel from '@clayui/label';
import PropTypes from 'prop-types';
import React from 'react';

function LabelRenderer({value}) {
	return value ? (
		<ClayLabel displayType={value.displayStyle || 'info'}>
			{typeof value === 'string' ? value : value.label}
		</ClayLabel>
	) : null;
}

LabelRenderer.propTypes = {
	value: PropTypes.oneOfType([
		PropTypes.shape({
			displayStyle: PropTypes.oneOf([
				'success',
				'info',
				'secondary',
				'warning',
				'danger',
			]),
			label: PropTypes.string,
		}),
		PropTypes.string,
	]),
};

export default LabelRenderer;
