/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

export const actionsDefinition = {
	RESET_FILTERS_VALUE: 'resetFiltersValue',
	UPDATE_FILTER_STATE: 'updateFilterState',
};

const updateFilterState = (dispatch) => (
	id,
	value = null,
	formattedValue = null,
	odataFilterString = null
) =>
	dispatch({
		payload: {
			formattedValue,
			id,
			odataFilterString,
			value,
		},
		type: actionsDefinition.UPDATE_FILTER_STATE,
	});

const resetFiltersValue = (dispatch) => () =>
	dispatch({
		type: actionsDefinition.RESET_FILTERS_VALUE,
	});

export const actions = {
	resetFiltersValue,
	updateFilterState,
};

export default actions;
