/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

import {actionsDefinition} from '../actions/index';

export const initialState = {
	filters: [],
	onFiltersChange: null,
};

function reducer(state = initialState, action) {
	switch (action.type) {
		case actionsDefinition.UPDATE_FILTER_STATE:
			return {
				...state,
				filters: state.filters.map((element) => ({
					...element,
					...(element.id === action.payload.id ? action.payload : {}),
				})),
			};
		case actionsDefinition.RESET_FILTERS_VALUE:
			return {
				...state,
				filters: state.filters.map((element) => ({
					...element,
					additionalData: null,
					odataFilterString: null,
					resumeCustomLabel: null,
					value: null,
				})),
			};
		default:
			return state;
	}
}

export default reducer;
